
#include "Xailer.ch"

CLASS TST_Form FROM TForm

  COMPONENT oButton1
  COMPONENT oMemo1

  DATA dSQL


  METHOD CreateForm()
  METHOD FormShow( oSender )
  METHOD Button1Click( oSender )

ENDCLASS

#include "TST_Form.xfm"

//------------------------------------------------------------------------------
METHOD FormShow( oSender ) CLASS TST_Form

  FErase("Test.db")
  FErase("TestAttach.db")

  ::dSQL:=TSQLiteDataSource():Create()
  ::dSQL:cConnect:="Test.db"
  ::dSQL:lAbortOnErrors:=.T.
  ::dSQL:lAllowProcessMessages:=.T.
  ::dSQL:lDisplayErrors:=.F.
  ::dSQL:lReadToCache := .T.
  ::dSQL:cPassword:=""
  ::dSQL:lConnected :=.T.
  ::dSQL:Execute("PRAGMA busy_timeout = 60000")


RETURN Nil

//------------------------------------------------------------------------------

METHOD Button1Click( oSender ) CLASS TST_Form

  LOCAL a01
  a01:={}
  AADD(a01,{'C01','C', 7,0})
  AADD(a01,{'C02','C', 5,0})
  AADD(a01,{'C03','D', 20,0})
  AADD(a01,{'C04','C', 1,0})
  AADD(a01,{'C05','D', 20,0})
  AADD(a01,{'C06','C',14,0})
  ::dSQL:CreateTable("TAB1",a01)
  ::dSQL:Execute(::dSQL:BuildSQLSt("INSERT INTO TAB1 (C01,C02,C03,C04,C05,C06) VALUES (?,?,?,?,?,?)",{"0000001","00001",Date(),"1",Date(),"00000000000001"}))
  ::dSQL:Execute(::dSQL:BuildSQLSt("INSERT INTO TAB1 (C01,C02,C03,C04,C05,C06) VALUES (?,?,?,?,?,?)",{"0000002","00002",Date()+1,"1",Date()+1,"00000000000002"}))
  ::dSQL:Execute(::dSQL:BuildSQLSt("INSERT INTO TAB1 (C01,C02,C03,C04,C05,C06) VALUES (?,?,?,?,?,?)",{"0000003","00003",Date()+2,"1",Date()+2,"00000000000003"}))
  ::dSQL:Execute(::dSQL:BuildSQLSt("INSERT INTO TAB1 (C01,C02,C03,C04,C05,C06) VALUES (?,?,?,?,?,?)",{"0000004","00004",Date()+3,"1",Date()+3,"00000000000004"}))
  ::dSQL:Execute(::dSQL:BuildSQLSt("INSERT INTO TAB1 (C01,C02,C03,C04,C05,C06) VALUES (?,?,?,?,?,?)",{"0000005","00005",Date()+4,"1",Date()+4,"00000000000005"}))

  ::dSQL:Execute( "ATTACH 'TestAttach.db' AS LXTMP" )
  ::dSQL:Execute( "CREATE TABLE LXTMP.TAB1 AS SELECT * FROM TAB1" )

  a01:={}
  AADD(a01,{'C01','D', 8,0})
  AADD(a01,{'C02','C', 5,0})
  AADD(a01,{'C03','C',14,0})
  ::dSQL:CreateTable("TAB2",a01)
  ::dSQL:Execute(::dSQL:BuildSQLSt("INSERT INTO TAB2 (C01,C02,C03) VALUES (?,?,?)",{Date(),"123","00000000000001"}))
  ::dSQL:Execute(::dSQL:BuildSQLSt("INSERT INTO TAB2 (C01,C02,C03) VALUES (?,?,?)",{Date()+1,"789","00000000000002"}))
  ::dSQL:Execute(::dSQL:BuildSQLSt("INSERT INTO TAB2 (C01,C02,C03) VALUES (?,?,?)",{Date()+2,"999","00000000000003"}))
  ::dSQL:Execute(::dSQL:BuildSQLSt("INSERT INTO TAB2 (C01,C02,C03) VALUES (?,?,?)",{Date()+3,"321","00000000000004"}))
  ::dSQL:Execute(::dSQL:BuildSQLSt("INSERT INTO TAB2 (C01,C02,C03) VALUES (?,?,?)",{Date()+4,"548","00000000000005"}))

RETURN Nil

//------------------------------------------------------------------------------
